package com.engine.recruit.enums;

/**
 * 学历浏览按钮枚举类
 *
 * @author:dxfeng
 * @createTime: 2023/10/17
 * @version: 1.0
 */
public enum HighestDegreeEnum {
    /**
     * 学历浏览按钮枚举类
     */
    OTHER(1, "其他"),
    JUNIOR_MIDDLE_SCHOOL(2, "初中"),
    HIGH_SCHOOL(3, "高中"),
    SECONDARY_TECHNOLOGY(4, "中技"),
    SECONDARY_SPECIALIZED_SCHOOL(5, "中专"),
    JUNIOR_COLLEGE(6, "大专"),
    UNDERGRADUATE(7, "本科"),
    MASTER_DEGREE(8, "硕士研究生"),
    DOCTORAL_STUDENTS(9, "博士研究生"),
    MBA(10, "MBA"),
    EMBA(11, "EMBA"),
    POST_DOCTORAL(12, "博士后");

    HighestDegreeEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public static HighestDegreeEnum getDegreeId(String name) {
        for (HighestDegreeEnum item : HighestDegreeEnum.values()) {
            if (item.name.equalsIgnoreCase(name)) {
                return item;
            }
        }
        return HighestDegreeEnum.OTHER;
    }

    private Integer id;
    private String name;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
